Scientific Linux Security Update : tomcat6 on SL6.x (noarch) (20140811)

medium Nessus Plugin ID 77144
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote Scientific Linux host is missing one or more security updates.

Description

It was found that several application-provided XML files, such as web.xml, content.xml, *.tld, *.tagx, and *.jspx, resolved external entities, permitting XML External Entity (XXE) attacks. An attacker able to deploy malicious applications to Tomcat could use this flaw to circumvent security restrictions set by the JSM, and gain access to sensitive information on the system. Note that this flaw only affected deployments in which Tomcat is running applications from untrusted sources, such as in a shared hosting environment. (CVE-2013-4590)

It was found that, in certain circumstances, it was possible for a malicious web application to replace the XML parsers used by Apache Tomcat to process XSLTs for the default servlet, JSP documents, tag library descriptors (TLDs), and tag plug-in configuration files. The injected XML parser(s) could then bypass the limits imposed on XML external entities and/or gain access to the XML files processed for other web applications deployed on the same Apache Tomcat instance.
(CVE-2014-0119)

Tomcat must be restarted for this update to take effect.

Solution

Update the affected packages.

See Also

http://www.nessus.org/u?67152a53

Plugin Details

Severity: Medium

ID: 77144

File Name: sl_20140811_tomcat6_on_SL6_x.nasl

Version: 1.5

Type: local

Agent: unix

Published: 8/12/2014

Updated: 1/14/2021

Dependencies: ssh_get_info.nasl

Risk Information

VPR

Risk Factor: Low

Score: 2.7

CVSS v2

Risk Factor: Medium

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:P/I:N/A:N

Vulnerability Information

CPE: p-cpe:/a:fermilab:scientific_linux:tomcat6, p-cpe:/a:fermilab:scientific_linux:tomcat6-admin-webapps, p-cpe:/a:fermilab:scientific_linux:tomcat6-docs-webapp, p-cpe:/a:fermilab:scientific_linux:tomcat6-el-2.1-api, p-cpe:/a:fermilab:scientific_linux:tomcat6-javadoc, p-cpe:/a:fermilab:scientific_linux:tomcat6-jsp-2.1-api, p-cpe:/a:fermilab:scientific_linux:tomcat6-lib, p-cpe:/a:fermilab:scientific_linux:tomcat6-servlet-2.5-api, p-cpe:/a:fermilab:scientific_linux:tomcat6-webapps, x-cpe:/o:fermilab:scientific_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 8/11/2014

Vulnerability Publication Date: 2/26/2014

Reference Information

CVE: CVE-2013-4590, CVE-2014-0119